cURL
curl --request GET \ --url https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/external-addresses \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "cm4voycw2001f68veade3tr0i", "address": "0x1234567890abcdef1234567890abcdef12345678", "namespace": "EIP155", "createdAt": "2025-01-15T10:30:00.000Z", "updatedAt": "2025-01-15T10:30:00.000Z" }, { "id": "cm4voycw2001f68veade3tr0j", "address": "ABC123def456...", "namespace": "SOLANA", "createdAt": "2025-01-16T14:00:00.000Z", "updatedAt": "2025-01-16T14:00:00.000Z" } ] }
Retrieve a list of external addresses configured for alert webhook notifications in your environment. External addresses are blockchain addresses not generated by Portal that you still want to monitor for transactions.
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
External addresses retrieved successfully
Show child attributes
Was this page helpful?